%global momorel 1
%global ocamlver 3.10.2

%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-bitmatch
Version:        1.3
Release:        %{momorel}m%{?dist}
Summary:        OCaml library for matching and constructing bitstrings

Group:          Development/Libraries
License:        "LGPLv2+ with exceptions"
URL:            http://code.google.com/p/bitmatch/
Source0:        http://bitmatch.googlecode.com/files/%{name}-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml >= %{ocamlver}
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlp4-devel

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh -i Asttypes -i Parsetree
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh -i Pa_bitmatch


%description
Bitmatch adds Erlang-style bitstrings and matching over bitstrings as
a syntax extension and library for OCaml.  You can use this module to
both parse and generate binary formats, for example, communications
protocols, disk formats and binary files.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

# Keep a pristine copy of the examples directory for distribution.
cp -a examples bitmatch-examples


%build
%configure
make
make doc
make examples


%check
make test


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/ocaml/bitmatch
%if %opt
%exclude %{_libdir}/ocaml/bitmatch/*.a
%exclude %{_libdir}/ocaml/bitmatch/*.cmxa
%exclude %{_libdir}/ocaml/bitmatch/*.cmx
%endif
%exclude %{_libdir}/ocaml/bitmatch/*.mli


%files devel
%defattr(-,root,root,-)
%doc COPYING.LIB README html bitmatch-examples
%if %opt
%{_libdir}/ocaml/bitmatch/*.a
%{_libdir}/ocaml/bitmatch/*.cmxa
%{_libdir}/ocaml/bitmatch/*.cmx
%endif
%{_libdir}/ocaml/bitmatch/*.mli


%changelog
* Wed Jul 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3-1m)
- update to 1.3

* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-1m)
- import from Fedora

* Sun May 18 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2-1
- New upstream release 1.2.
- Build and distribute the examples.

* Sun May 18 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0-3
- New upstream release 1.0.
- New upstream URL and download location.
- Use RPM percent-configure in build section.

* Mon May 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9-1
- New upstream release 0.9.

* Thu May  8 2008 Richard W.M. Jones <rjones@redhat.com> - 0.8-1
- New upstream release 0.8.

* Wed May  7 2008 Richard W.M. Jones <rjones@redhat.com> - 0.7-3
- New upstream release 0.7.

* Fri Apr 25 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6-1
- New upstream release 0.6.

* Fri Apr 25 2008 Richard W.M. Jones <rjones@redhat.com> - 0.5-1
- New upstream release 0.5.

* Fri Apr 16 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4-1
- New upstream release 0.4.

* Fri Apr  2 2008 Richard W.M. Jones <rjones@redhat.com> - 0.2-1
- Initial RPM release.
